#!/bin/sh

name="libtrash"
title="libtrash"
package="libtrash"
version="1.7"
build="1"
noarch="n"
build_info="Standard build."

info="A shared library providing a trash can under Linux."
desc="libtrash is a shared library which implements a trash can on      
GNU/Linux. When preloaded, it intercepts calls to a series of
GNU libc functions and, instead of permanently destroying
files, moves them to a 'trash can'."
category="libraries/security"
environment="console/text"
contact="$name@packages.packware.one.pl"
vendor="The Packware Project"
vendor_id="pw"

requires=""
obsoletes=""
conflicts=""

docs_source="CHANGE.LOG,COPYING,README,README.1ST,TODO,WARNING.GLIBC,config.txt"
docs_cwd=""

strip_bin="y"
reset_own="y"
reset_dir="y"
reset_fil="y"
delete_cat="y"

. /usr/src/tgz/lib/builder.defs

add_source http://www.m-arriaga.net/software/libtrash/$name-$version.tgz

apply_patch libtrash-cflags.pw.patch
apply_patch libtrash-conf.pw.patch

parent_package="$package"
write_info main

cd $src1

do_make

copy src/libtrash.so.$version $pkg_main/usr/lib
copy src/libtrash.conf.sys $pkg_main/etc libtrash.conf

(
cd $pkg_main/usr/lib
ln -s libtrash.so.$version libtrash.so.`echo $version | cut -d '.' -f 1`
ln -s libtrash.so.$version libtrash.so
)

make_docs

make_package main

clean_up

# $Log: libtrash.builder,v $
# Revision 1.4  2003/01/11 12:26:31  swiergot
# - Build 1.
#
# Revision 1.3  2003/01/11 11:59:09  swiergot
# - Force building.
#
# Revision 1.2  2003/01/11 11:33:58  swiergot
# - Force building.
#
# Revision 1.1  2003/01/10 13:49:49  swiergot
# - Initial release.
# - Version 1.7.
#
